<?php

namespace App\Model;
use Illuminate\Database\Eloquent\Model;
use Config;

class IterableModel extends Model{


    private $iterableApiKey;
    private $iterableUrl;

    function __construct(){

        $this->iterableUrl = env("ITERABLE_URL", true);
        $this->iterableApiKey  = env("ITERABLE_API_KEY", true);

    }

    /**
     * get subscription from Iterable
     */
    function getIterableSubscription($email = NULL) {

        $data = NULL;
        $method = 'GET';
        $path = $this->iterableUrl."users/".$email."?api_key=".$this->iterableApiKey;
        $response = $this->call($method, $path, $data);
        return json_decode($response);
    }

    /**
     * Update iterable user channel preference status
     */
    function updateUserIterableSubscription($data = NULL) {

        $method = 'POST';
        $path = $this->iterableUrl.'users/updateSubscriptions?api_key='.$this->iterableApiKey;
        $response = $this->call($method, $path, $data);
        return json_decode($response);

    }

    /**
     * CURL function call
     */
    function call($method, $path, $data = []) {

        $curl = curl_init();
        curl_setopt($curl, CURLOPT_URL, $path);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_ENCODING, '');
        curl_setopt($curl, CURLOPT_MAXREDIRS, 10);
        curl_setopt($curl, CURLOPT_TIMEOUT, 30);
        curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
        curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);

        if ($method !== 'GET') {

            curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        }

        // curl_setopt($curl, CURLOPT_HTTPHEADER, array(
        //     "content-type: application/json",
        // ));

        $response = curl_exec($curl);
        return $response;

    }
}
