<!DOCTYPE HTML>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap.min.css')); ?>">
    <script src="<?php echo e(URL::asset('js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/custom.js')); ?>"></script>

    <style>
        .list-body {
            max-height: 300px;
            overflow-Y: scroll;
        }

        .list-pro {
            padding: 4px 15px;
            cursor: pointer;
        }

        .list-pro.active {
            background-color: #007bff;
            color: #ffffff;
        }
    </style>

</head>

<script>
    var productDetailsJson = <?= $jsonProductDetails ?>;
    // var productJson = JSON.parse(productDetailsJson);
</script>

<body>

    <div class="container">
    <h2>Draft Order Creation</h2>
    <?php 
    if(isset($_GET['status'])){
        ?>
        <h6 class="text-success">The Draft Order created successfully</h6>
    <?php

        }
    ?>

        <form action="<?php echo e(URL::asset('create')); ?>" method="POST">
            <div class="col-xl-12 card mb-4 pt-3 pb-3">
                <div class="row">
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="firstname-add">First Name</label>
                            <input type="text" class="form-control<?php echo e($errors->has('firstName') ? ' is-invalid' : ''); ?>" id="firstname-add" name='firstName' value="<?php echo e(old('firstName')); ?>">
                            <?php if($errors->has('firstName')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('firstName')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-add">Last Name</label>
                            <input type="text" class="form-control<?php echo e($errors->has('lastName') ? ' is-invalid' : ''); ?>" id="lastname-add" name='lastName' value="<?php echo e(old('lastName')); ?>">
                            <?php if($errors->has('lastName')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('lastName')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="email-add">Email Addrress</label>
                            <input type="email" class="form-control<?php echo e($errors->has('email') ? ' is-invalid' : ''); ?>" id="email-add" name='email' value="<?php echo e(old('email')); ?>">
                            <?php if($errors->has('email')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('email')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 card mb-4 pt-3 pb-3">
                <div class="row">
                    <div class="col-xl-12">
                        <h5>Billing</h5>
                    </div>

                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="firstname-bill">First Name</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billFirstname') ? ' is-invalid' : ''); ?>" id="firstname-bill" name="billFirstname" value="<?php echo e(old('billFirstname')); ?>">
                            <?php if($errors->has('billFirstname')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billFirstname')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Last Name</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billLastname') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billLastname" value="<?php echo e(old('billLastname')); ?>">
                            <?php if($errors->has('billLastname')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billLastname')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 1</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billAddress1') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billAddress1" value="<?php echo e(old('billAddress1')); ?>">
                            <?php if($errors->has('billAddress1')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billAddress1')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 2</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billAddress2') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billAddress2" value="<?php echo e(old('billAddress2')); ?>">
                            <?php if($errors->has('billAddress2')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billAddress2')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">City</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billCity') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billCity" value="<?php echo e(old('billCity')); ?>">
                            <?php if($errors->has('billCity')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billCity')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Province</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billProvince') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billProvince" value="<?php echo e(old('billProvince')); ?>">
                            <?php if($errors->has('billProvince')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billProvince')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Country</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billCountry') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billCountry" value="<?php echo e(old('billCountry')); ?>">
                            <?php if($errors->has('billCountry')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billCountry')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Zip</label>
                            <input type="text" class="form-control<?php echo e($errors->has('billZip') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="billZip" value="<?php echo e(old('billZip')); ?>">
                            <?php if($errors->has('billZip')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('billZip')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 card mb-4 pt-3 pb-3">
                <div class="row">
                    <div class="col-xl-12">
                        <h5>Shipping</h5>
                    </div>

                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="firstname-ship">First Name</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipFirstname') ? ' is-invalid' : ''); ?>" id="firstname-ship" name="shipFirstname" value="<?php echo e(old('shipFirstname')); ?>">
                            <?php if($errors->has('shipFirstname')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipFirstname')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-ship">Last Name</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipLastname') ? ' is-invalid' : ''); ?>" id="lastname-ship" name="shipLastname" value="<?php echo e(old('shipLastname')); ?>">
                            <?php if($errors->has('shipLastname')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipLastname')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 1</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipAddress1') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="shipAddress1" value="<?php echo e(old('shipAddress1')); ?>">
                            <?php if($errors->has('shipAddress1')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipAddress1')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Address 2</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipAddress2') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="shipAddress2" value="<?php echo e(old('shipAddress2')); ?>">
                            <?php if($errors->has('shipAddress2')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipAddress2')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">City</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipCity') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="shipCity" value="<?php echo e(old('shipCity')); ?>">
                            <?php if($errors->has('shipCity')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipCity')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Province</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipProvince') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="shipProvince" value="<?php echo e(old('shipProvince')); ?>">
                            <?php if($errors->has('shipProvince')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipProvince')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Country</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipCountry') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="shipCountry" value="<?php echo e(old('shipCountry')); ?>">
                            <?php if($errors->has('shipCountry')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipCountry')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-6 col-md-6">
                        <div class="form-group">
                            <label for="lastname-bill">Zip</label>
                            <input type="text" class="form-control<?php echo e($errors->has('shipZip') ? ' is-invalid' : ''); ?>" id="lastname-bill" name="shipZip" value="<?php echo e(old('shipZip')); ?>">
                            <?php if($errors->has('shipZip')): ?>
                                <span class="invalid-feedback">
                                    <strong><?php echo e($errors->first('shipZip')); ?></strong>
                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-12 card mb-4 pt-3 pb-3">

                <div class="row">
                    <div class="col-xl-12">
                        <h4>List Item Properties</h4>
                    </div>

                    <div class="col-xl-12 list-item">
                        <table class="w-100" id="line-item-property">
                        </table>
                    </div>

                    <div class="col-xl-12 text-right list-pop">
                        <!-- Button trigger modal -->
                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#list-items">
                            Add List Item
                        </button>

                        <!-- Modal -->
                        <div class="modal fade" id="list-items" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel">List Items</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body list-body">
                                        <ul class="text-left list-unstyled">
                                            <?php
                                            $productDetails = json_decode($jsonProductDetails);

                                            foreach ($productDetails->products  as $product) {
                                                foreach ($product->variants as $variant) { ?>


                                                    <li class="list-pro" data-product-id="<?= $product->id ?>" data-variant-id="<?= $variant->id ?>"><?= $product->title ?>
                                                        <?= strtolower($variant->title) == 'default title' ? '' : ' - ' . $variant->title ?></li>
                                            <?php }
                                            }
                                            ?>
                                        </ul>
                                    </div>
                                    <div class="modal-footer">
                                        <div class="row">
                                            <div class="col-5 col-md-5 col-xl-5 px-4">
                                                <div class="row">
                                                    <div class="form-group d-inline-block">
                                                        <label>Quantity</label>
                                                    </div>
                                                    <div class="col-8 col-xl-6 col-md-6">
                                                        <div class="form-group">
                                                            <input type="number" name="qty" class="form-control" id="qty" value="1">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-7 col-md-7 col-xl-7">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                                <button type="button" class="btn btn-primary add-property">Add</button>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <input type="hidden" class="form-control is-invalid">
                <span class="invalid-feedback">
                    <strong><?php echo e($errors->first('prod-variant-id')); ?></strong>
                </span>
            </div>  
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>
</body>

</html><?php /**PATH /home/nurishp80w/public_html/staging/nurish-quiz/resources/views/draft_order.blade.php ENDPATH**/ ?>